Subject: Re: bug#19540: repeated ./././ in compiled modules

From: [email-masked] (Ludovic Courtès)
Date: Mon, 19 Jan 2015 21:28:05 +0100

Matt Wette <[email-masked]> skribis:

> 1) I found that this problem persists across restarts of guile.  I have been debugging a module in current dir and I am seeing the path extend an extra "./" every time I type ",reload (lalr1).
>
> 2) My environment includes
>    GUILE_LOAD_PATH=.:/Users/mwette/opt/guile

The problem stems from the ‘.’ entry in the search path.  On one hand
this is perfectly valid; on the other hand, it’s usually frowned upon,
because you may end up executing possibly malicious code that just
happens to be in $PWD.

All in all, I recommend using only absolute directory names in the
search paths, which will also solve the initial problem.

Can you confirm?

Thanks,
Ludo’.